This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 46445 - pump fails to renew its lease (2)
pump fails to renew its lease (2)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-28 13:59 EDT by John Heidemann
Modified: 2007-04-18 12:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 09:29:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Information from another site experiencing (970 bytes, text/plain)
2001-07-09 09:35 EDT, Ron Flory
no flags Details

  None (edit)
Description John Heidemann 2001-06-28 13:59:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.16-22 i686; en-US; rv:0.9.1)
Gecko/20010607

Description of problem:
Pump fails to renew its lease, something like redhat bug 40458.


How reproducible:
Sometimes

Steps to Reproduce:
1. configure the card for dhcp and run it for a while
after a while it tries to renew its lease and fails

	The problem happens intermittently, sometimes multiple times in an hour,
sometimes not in a day.

The problem happens both to me and a colleague at ISI with a different
laptop and NIC card (same server, also RH 7.1).

The problem happens both at ISI (dhcp server: Sun runing ISC's dhcpd) and
at home (dhcp server: is a redhat 7.0 box w/all standard updates).

The problem happens both with the RH 7.1 pump pump-0.8.11-1 and with
the RH 7.0 pump-0.8.3-2.


Actual Results:  A renew request fails and the interface goes dead.

Expected Results:  Either the renewal shouldn't happen or
it should succeed.

Additional info:

details with logs and such are at
http://www.isi.edu/~johnh/TMP/pump_bug.txt
(I couldn't past them in here)
Comment 1 Olivier Baudron 2001-06-28 18:56:44 EDT
The message: reject: xid: 0x82635d87 <--> 0x06f72d40
is from the server and there is certainly some problem with it since, the xid
used by the client is correct. At this point the renewal fails but seconds later
pump asks for a new lease in discover mode. Note that during this short period
of time you ethernet interface is still up and running. So, you indeed have a
problem with the dhcp server, but there is no dramatic issues at all, here.

However, you have a problem elsewhere, that puts down your interface at
10:08:58, but I don't know much more. Can you describe more your network
configuration on the PC? (interfaces, manufacturer, modules loaded)
Comment 2 John Heidemann 2001-06-28 19:37:12 EDT
At 10:08:58 I manually ejected and reinserted the card
to reset the interface.

I'm suprised that this is a server issue given that I have the same problem
with two different servers (the Sun at work and the RH7.0 box at home).
I'll watch for the problem to happen at home and send that syslog for 
comparision.

The PC is a Sony SR7K.  The ethernet card is a Linksys EtherFast
10/100 cardbus PC Card.
By "modules loaded" you mean kernel modules?

Module                  Size  Used by
appletalk              19664   0 (autoclean)
ipx                    15520   0 (autoclean)
cb_enabler              2720   0 (unused)
tulip                  38544   1
nbd                    15472   2
binfmt_misc             6400   1
ds                      7280   1 [cb_enabler]
yenta_socket           11440   1
pcmcia_core            43072   0 [cb_enabler ds yenta_socket]
spicdriver              2704   1
usbkbd                  3040   0 (unused)
vmnet                  18320   3
vmmon                  18032   0
autofs                 11264   4 (autoclean)
ipchains               38976   0 (unused)
usb-storage            31792   0
scsi_mod               95104   1 [usb-storage]
mousedev                4160   1
keybdev                 2080   0 (unused)
hid                    11776   0 (unused)
input                   3488   0 [usbkbd mousedev keybdev hid]
usb-uhci               20720   0 (unused)
usbcore                49664   1 [usbkbd usb-storage hid usb-uhci]

Comment 3 Olivier Baudron 2001-06-29 03:28:05 EDT
From the logs, it seems that the server did not receive the server renewal
request. Can you manually check that the boot server IP is indeed 128.9.160.161
and that you can reach it from the client?
Comment 4 Ron Flory 2001-07-09 09:35:41 EDT
Created attachment 23067 [details]
Information from another site experiencing
Comment 5 John Heidemann 2001-08-01 19:04:20 EDT
I switched physical network cards and the problem seems to have gone away.
Thus, for me at least, the problem seemed to be hardware related.
(Although it WAS the case that multiple people at where I work had
similar problems.)

I'm changing the bug state to NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.